Skip to main content
Adobe Photoshop Family

10 Messages

 • 

170 Points

Sun, Jan 7, 2018 11:14 PM

Lightroom 6: ERROR: DW021 - Fails to install from DVD

I have encountered two ERRORS that are familiar to other posters; however, in my case, I have tried to setup from the DVD that I just purchased, not from the cloud.  I do wonder about the capabilities of the low-end computer that I would be using (works fine for PShop elements 12).  Specs for my box are:  Pentium N3700 @ 1.60GHz with 4.00 GB of RAM, 64-bit OS, Windows 10.  Thanks in advance to anyone with a suggestion!

Responses

Official Solution

Employee

 • 

573 Messages

 • 

11.5K Points

3 years ago

You can download Lightroom 6 from this page:

https://helpx.adobe.com/lightroom/kb/lightroom-downloads.html

Try installing it from there and let me know if it works.

Official Solution

14.6K Messages

 • 

282.6K Points

3 years ago

10 Messages

 • 

170 Points

3 years ago

Rick - thanks very much. I will try to download when I return home and let you know the result. I appreciate your taking the time to reply.

10 Messages

 • 

170 Points

3 years ago

No luck downloading - or even having a clue as to the problem:

10 Messages

 • 

170 Points

3 years ago

Also would not install in older but better CPU - stalled at 6% and the only change thereafter was the time to install. I finally quit when that numbered grew to 224 minutes.

14.6K Messages

 • 

282.6K Points

3 years ago

Looks like you're trying to install the CC version (Lightroom Classic). In which case you need to install the Creative Cloud desktop app to avoid that error https://creative.adobe.com/products/creative-cloud 

If what you're looking for is Lightroom 6, make sure you download the Lightroom 6 installer.

10 Messages

 • 

170 Points

3 years ago

Here's what happened:

Employee

 • 

573 Messages

 • 

11.5K Points

3 years ago

Hey Tom, 

I looks like you're trying to install the wrong thing.

Do this:

1. Click this link: https://helpx.adobe.com/lightroom/kb/lightroom-downloads.html

2. Scroll down to this link and click the blue ">" symbol like this:



3. Scroll down until you see this:


4. Click the Lightroom 6.14 link

Let us know if that works.

Rick

10 Messages

 • 

170 Points

3 years ago

Thanks, but I have tried this already.  When I extract the package I see an application, AdobePatchInstaller, and a file, "payloads".  I doubleclick the application, which creates an application of the same name, but different icon, and another "payload" file.  I doubleclick the new application and get this:

10 Messages

 • 

170 Points

3 years ago

This makes some sense to me, non-tekkie that I am, because there is no Lightroom installed that a patch can operate upon, or so my simple reasoning goes.

Employee

 • 

573 Messages

 • 

11.5K Points

OK... my bad! 

The link to the Lr 6 installer is at the top of the page. I breezed right past it! 

Looks like this:



After that is installed then you can do the upgrades.

10 Messages

 • 

170 Points

YIKES - so did I.  I was intent on breezing past the Mac patches.  Will try, thanks.

10 Messages

 • 

170 Points

Same old same old:


 - 0 fatal error(s), 2 error(s)



ERROR: DW021: Payload {8048A5DF-8A70-5BE1-954B-E0FDE1BD0D0D} Photoshop Adobe Lightroom 6.0.0.0 of version: 8.0.0.13 is not supported by this version: 7.0.0.108 of RIBS

ERROR: DW021: Unsupported payload versions included

10 Messages

 • 

170 Points

Lightroom6 is up and open for business on my cpu!  Renaming the folder does indeed work.  Many thanks to Jeffrey and Rick for persevering with me!

Employee

 • 

573 Messages

 • 

11.5K Points

Yay!!! Glad that it worked out!